[project]
name = "benchmark_geostat"
description = "Benchmark of gstlearn against other geostat libraries"
dynamic = ["version"]

authors = [{ name = "BRGM" }]
maintainers = [{ name = "BRGM", email = "n.clausolles@brgm.fr" }]

readme = "README.md"
license = { file = "LICENSE" }
requires-python = ">=3"

dependencies = [
    "numpy",
    "pandas",
    "gstools",
    "pykrige",
    "gstlearn>=1.0",
]

classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: GNU General Public License (GPLv3)",
    "Topic :: Scientific/Engineering",
]

[project.urls]
homepage = "https://gitlab.com/brgm/geomodelling/spatial/benchmark-kriging-libraries"
repository = "https://gitlab.com/brgm/geomodelling/spatial/benchmark-kriging-libraries.git"

[build-system]
requires = ["setuptools>=61", "wheel", "setuptools_scm>=6.2"]

[tool.setuptools]
package-dir = { "" = "src" }

[tool.setuptools_scm]
write_to = "src/benchmark_geostat/__version__.py"

[tool.distutils.bdist_wheel]
universal = true

[tool.isort]
profile = "black"
